Skip to content

@akohlmey akohlmey released this Mar 29, 2019 · 1258 commits to master since this release

Changes since patch release 28 February 2019:

  • new generalized granular pair style granular, that allows much more flexible parameter settings: #1342 (Dan S. Bolintineanu, Ishan Srivastava, Jeremy B. Lechman, SNL)
  • use rendezvous protocol instead of ring communication for some-to-some data exchange: #1384 (Steve Plimption, SNL, Chris Knight, ANL)
  • update to hyper-dynamics support: PR #1379 (Steve Plimpton, SNL)
  • consolidate clearing of eflag/vflag and related settings in new ev_init() function: #1365 (Sebastian Huetter, OvGU)
  • finalize support for write_data in several dihedral styles: PR #1370 (Axel Kohlmeyer, Temple U)
  • removal of deprecated KOKKOS code #1363 (Stan Moore, SNL)
  • new kim-query command and small corrections in KIM package: PR #1358, PR #1371, PR #1392 (Axel Kohlmeyer, Temple U, Ryan Elliot, UMN)
  • embed git branch and revision info for output with '-h' flag and the info command: PR #1357, PR #1376 (Axel Kohlmeyer, Temple U, and Christoph Junghans, LANL)
  • bugfixes and extensions (spin minimizer) to the SPIN package: PR #1355, PR #1372, PR #1380 (Julien Tranchida, SNL)
  • replace non C++ standard compliant variable length arrays in USER-SMTBQ with compliant code: PR #1356 (Axel Kohlmeyer, Temple U)
  • add support for make install-python to CMake and consolidate and clean up several python module installation and documentation related issues: #1375 (Axel Kohlmeyer, Temple U)
  • many small bugfixes and updates: PR #1354, PR #1352, PR #1361, PR #1366, PR #1359, PR #1374, PR #1383, PR #1390, PR #1391, PR #1388, PR #1395, PR #1393 (too many people to mention here)

Backward compatibility notices:

  • The command line flags for python/install.py have changed, but make install-python works as before
  • The KIM package now supports version 2.0.2 of the KIM API library, which uses paths and names incompatible with previous versions. Thus when updating LAMMPS, also the KIM API needs to be updated and LAMMPS newly configured from scratch.
Assets 2
You can’t perform that action at this time.